JavaScript
import HenrySDK from '@henrylabs/sdk';
const client = new HenrySDK({
apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
});
const response = await client.cart.checkout.pollPurchase({
refId: 'ckp-ref_3fa85f64-5717-4562-b3fc',
});
console.log(response.details);curl --request GET \
--url https://api.henrylabs.ai/v1/cart/purchase/status \
--header 'x-api-key: <api-key>'import requests
url = "https://api.henrylabs.ai/v1/cart/purchase/status"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"refId": "<string>",
"status": "pending",
"products": [
{
"status": "pending",
"link": "<string>",
"quantity": 123,
"merchant": "<string>",
"host": "<string>",
"affiliateProductLink": "<string>",
"selectedOptions": [
"<string>"
],
"selectedShipping": {
"id": "<string>",
"value": "<string>"
}
}
],
"details": {
"hasAccount": true,
"name": {
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>"
},
"card": {
"nameOnCard": {
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>"
},
"details": {},
"billingAddress": {
"line1": "<string>",
"city": "<string>",
"province": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>"
},
"email": "jsmith@example.com",
"phone": {
"countryCode": "<string>",
"nationalNumber": "<string>",
"e164": "<string>",
"country": "<string>"
},
"line2": "<string>"
}
},
"email": "<string>",
"phone": {
"countryCode": "<string>",
"nationalNumber": "<string>",
"e164": "<string>",
"country": "<string>"
},
"shippingAddress": {
"line1": "<string>",
"city": "<string>",
"province": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>"
},
"email": "jsmith@example.com",
"phone": {
"countryCode": "<string>",
"nationalNumber": "<string>",
"e164": "<string>",
"country": "<string>"
},
"line2": "<string>"
},
"settings": {
"collectEmail": true,
"collectAddress": true,
"collectPhone": true
}
},
"result": {
"items": [
{
"productLink": "<string>",
"confirmationNumber": "<string>",
"costs": {
"total": {
"value": 123,
"currency": "USD"
},
"subtotal": {
"value": 123,
"currency": "USD"
},
"tax": {
"value": 123,
"currency": "USD"
},
"shipping": {
"value": 123,
"currency": "USD"
},
"discount": {
"value": 123,
"currency": "USD"
}
},
"quantity": 4503599627370495,
"shipping": {
"id": "<string>",
"name": "<string>",
"cost": {
"value": 123,
"currency": "USD"
},
"timeEstimate": "<string>",
"minDate": "<string>",
"maxDate": "<string>"
},
"appliedCoupon": {
"code": "<string>",
"savedAmount": {
"value": 123,
"currency": "USD"
}
},
"metadata": {}
}
],
"costs": {
"subtotal": {
"value": 123,
"currency": "USD"
},
"serviceFee": {
"value": 123,
"currency": "USD"
},
"total": {
"value": 123,
"currency": "USD"
}
}
},
"error": {},
"mintedCards": [
{
"token": "<string>",
"charge": {
"status": "ok",
"charged": true,
"approved": true,
"count": 4503599627370495,
"reason": "<string>"
}
}
]
}{
"success": true,
"status": "<string>",
"message": "<string>"
}{
"success": true,
"status": "<string>",
"message": "<string>"
}Cart
Cart Purchase Status
Check the status of a cart purchase job and get results when ready.
GET
/
cart
/
purchase
/
status
JavaScript
import HenrySDK from '@henrylabs/sdk';
const client = new HenrySDK({
apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
});
const response = await client.cart.checkout.pollPurchase({
refId: 'ckp-ref_3fa85f64-5717-4562-b3fc',
});
console.log(response.details);Authorizations
Query Parameters
Reference ID used for checking status
Pattern:
^[a-zA-Z]{3}-ref_[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[0-9a-f]{4}$Example:
"ckp-ref_3fa85f64-5717-4562-b3fc"
Response
Cart purchase status retrieved successfully
Pattern:
^[a-zA-Z]{3}-ref_[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[0-9a-f]{4}$Available options:
pending, processing, complete, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I